import request from "@/utils/request";

// 充值数据—汇总报表
export const getRechargeReport = (query: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/report/trans/getRechargeReport",
    method: "get",
    params: query,
  });
};

// 充值数据—走势
export const getRechargeTrend = (query: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/report/trans/getRechargeTrend",
    method: "get",
    params: query,
  });
};

// 充值数据-明细
export const getRechargeList = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/trans/getRechargeList",
    method: "get",
    params: query,
  });
};
